Gtk_Tree(3)

NAME - Gtk_Tree

HEADER REQUIRED
#include <gtk--/tree.h&gt;>

BASE CLASSES
Gtk_Container(3)

PROPERTIES

children
    Type: GList*

root_tree
    Type: GtkTree*

     owner of selection list

tree_owner
    Type: Gtk_Widget*

selection
    Type: GList*

level
    Type: guint

indent_value
    Type: guint

current_indent
    Type: guint

selection_mode
    Type: guint:2

view_mode
    Type: guint:1

view_line
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    typedef G_List_Cpp_Iterator  selectioniterator;
    Gtk_Tree();
    Gtk_Tree(GtkTree *castitem);
    void  append(const Gtk_Widget &widget);
    void  prepend(const Gtk_Widget &widget);
    void  insert(const Gtk_Widget &widget, gint position);
    void  append(const Gtk_ObjectHandle &widget);
    void  prepend(const Gtk_ObjectHandle &widget);
    void  insert(const Gtk_ObjectHandle &widget, gint position);
    selectioniterator  beginselection() const;
      beginselection() and endselection() is for traversinga list of selected items in a tree. STL algorithms shouldwork with the iterator it returns.
    selectioniterator  endselection() const;
    Gtk_Widget * getselection() const;
    void  clear_items(gint start, gint end);
    void  select_item(gint item);
    void  unselect_item(gint item);
    gint  child_position(const Gtk_Widget &child) const;
    void  set_selection_mode(GtkSelectionMode mode);
    void  set_view_mode(GtkTreeViewMode mode);
    void  set_view_lines(bool flag);
    signal void  selection_changed(BaseObjectType);
    signal void  select_child_c(GtkWidget*);
    signal void  unselect_child_c(GtkWidget*);
    signal void  select_child(Gtk_Widget*);
    signal void  unselect_child(Gtk_Widget*);
    GtkTree*  gtkobj();
    const GtkTree*  gtkobj() const;
    static bool  isGtkTree(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkTree  BaseObjectType;
    typedef GtkTreeClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  selection_changed_impl();
    virtual void  select_child_c_impl(GtkWidget* p1);
    virtual void  unselect_child_c_impl(GtkWidget* p1);

PRIVATE MEMBER INDEX
    static CppClassType  tree_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS